package com.elab.redis;

import com.elab.redis.config.CacheAutoConfiguration;
import org.junit.runner.RunWith;
import org.redisson.api.RedissonClient;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.boot.test.context.SpringBootTest;
import org.springframework.cache.annotation.EnableCaching;
import org.springframework.test.context.junit4.SpringRunner;

/**
 * @author ： liukx
 * @time ： 2020/7/8 - 15:14
 */
@RunWith(SpringRunner.class)
@SpringBootTest(
        classes = {RedissonApplication.class, CacheAutoConfiguration.class}
)
@EnableCaching
public class RedisSpringBoot {
    @Autowired
    protected RedissonClient client;


    protected void run(int count, Runnable r) {
        for (int i = 0; i < count; i++) {
            new Thread(r).start();
        }

    }

}
